<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Firma\BayerischerApothekertag\KursDetails;

class KursDetailsController extends \Kufer\Web\KuferTools\Basis\Kursdetails\KursDetailsController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new KursDetailsUseCase(
      $this->getRequestObj()
    );
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new KursDetailsPresenter($pUseCaseResponse);
  }
}